> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /magiceden/wallets/tokens

> List the NFTs held by a wallet on Magic Eden (Solana)

**Price:** 1 credit

**💡 AI Hint:** List the NFTs held by a Solana wallet, as indexed by Magic Eden. Each token returns its mint address, name, image, parent collection symbol and name, whether it is currently listed (with price in SOL and listing type), last sale price, traits, creators and rarity ranks.



## OpenAPI

````yaml /openapi-filtered.json post /api/magiceden/wallets/tokens
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/magiceden/wallets/tokens:
    post:
      tags:
        - /magiceden
      summary: /magiceden/wallets/tokens
      description: >-
        List the NFTs held by a wallet on Magic Eden (Solana)


        **Price:** 1 credit


        **💡 AI Hint:** List the NFTs held by a Solana wallet, as indexed by
        Magic Eden. Each token returns its mint address, name, image, parent
        collection symbol and name, whether it is currently listed (with price
        in SOL and listing type), last sale price, traits, creators and rarity
        ranks.
      operationId: __api_magiceden_wallets_tokens_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MagicedenWalletTokensPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MagicedenToken'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MagicedenWalletTokensPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          description: Max scrapping execution timeout (in seconds)
          default: 300
        address:
          type: string
          minLength: 1
          description: Wallet address (on-chain Solana account)
          examples:
            - 4QZKsNk1ucKqy8LXUGu9TBs76abXMCgRWMNHUPf6LLjC
        count:
          type: integer
          minimum: 1
          description: Number of tokens to return
        chain:
          $ref: '#/components/schemas/MagicedenChain'
          description: Blockchain
          default: solana
      type: object
      required:
        - address
        - count
    MagicedenToken:
      properties:
        '@type':
          type: string
          default: MagicedenToken
        mint:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        animation_url:
          anyOf:
            - type: string
            - type: 'null'
        media_category:
          anyOf:
            - type: string
            - type: 'null'
        collection_symbol:
          anyOf:
            - type: string
            - type: 'null'
        collection_name:
          anyOf:
            - type: string
            - type: 'null'
        owner:
          anyOf:
            - type: string
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
        listing_type:
          anyOf:
            - type: string
            - type: 'null'
        is_listed:
          type: boolean
          default: false
        listing_updated_at:
          anyOf:
            - type: string
            - type: 'null'
        last_sale_price:
          anyOf:
            - type: number
            - type: 'null'
        seller_fee_basis_points:
          anyOf:
            - type: integer
            - type: 'null'
        token_standard:
          anyOf:
            - type: integer
            - type: 'null'
        supply:
          anyOf:
            - type: integer
            - type: 'null'
        is_tradeable:
          type: boolean
          default: false
        is_frozen:
          type: boolean
          default: false
        update_authority:
          anyOf:
            - type: string
            - type: 'null'
        escrow_pubkey:
          anyOf:
            - type: string
            - type: 'null'
        external_url:
          anyOf:
            - type: string
            - type: 'null'
        attributes:
          items:
            $ref: '#/components/schemas/MagicedenTokenAttribute'
          type: array
          default: []
        creators:
          items:
            $ref: '#/components/schemas/MagicedenCreator'
          type: array
          default: []
        rarity:
          anyOf:
            - $ref: '#/components/schemas/MagicedenRarity'
            - type: 'null'
      type: object
      required:
        - mint
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    MagicedenChain:
      type: string
      enum:
        - solana
    MagicedenTokenAttribute:
      properties:
        '@type':
          type: string
          default: MagicedenTokenAttribute
        trait_type:
          type: string
        value:
          type: string
      type: object
      required:
        - trait_type
        - value
    MagicedenCreator:
      properties:
        '@type':
          type: string
          default: MagicedenCreator
        address:
          type: string
        share:
          type: integer
          default: 0
        is_verified:
          type: boolean
          default: false
      type: object
      required:
        - address
    MagicedenRarity:
      properties:
        '@type':
          type: string
          default: MagicedenRarity
        moonrank:
          anyOf:
            - type: integer
            - type: 'null'
        howrare:
          anyOf:
            - type: integer
            - type: 'null'
        me_instant:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````